Package twisted :: Package im :: Module baseaccount :: Class AccountManager

[show private | hide private]
[frames | no frames]

## Class AccountManager

I am responsible for managing a user's accounts.

That is, remembering what accounts are available, their settings, adding and removal of accounts, etc.

Method Summary
| `__init__(self)`
| `addAccount(self, account)`
Deferred `interfaces.IClient` | ``connect`(self, accountName, chatui)`
| `delAccount(self, accountName)`
| `disconnect(self, accountName)`
| `getConnectionInfo(self)`
| ``getSnapShot`(self)` A snapshot of all the accounts and their status.
| `isEmpty(self)`
| `quit(self)`

Instance Variable Summary
mapping of strings to `Account<interfaces.IAccount>`s. | `accounts` - A collection of available accounts.

Method Details

### connect(self, accountName, chatui)

  Returns:
    Deferred `interfaces.IClient`

### getSnapShot(self)

    A snapshot of all the accounts and their status.

    @returns: A list of tuples, each of the form
        (string:accountName, boolean:isOnline,
         boolean:autoLogin, string:gatewayType)

Instance Variable Details

### accounts

A collection of available accounts.

  Type:
    mapping of strings to `Account<interfaces.IAccount>`s.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net